# set terminal pngcairo size 2400,1600 enhanced font "Arial,24" linewidth 2 dashed
set terminal svg size 2400,1600 enhanced font "Arial,32" linewidth 2 dashed
set output file_out

# Définir le titre du graphe et les labels des axes
set title "Map vs Slice lookup time"
set xlabel "Values in map / slice"
set ylabel "ns/op"

# Activer la grille
set grid

# Définir la légende
set key outside right top

# Définir le style des lignes et points
set style line 1 lc rgb '#0060ad' lt 1 lw 2 pt 7 ps 0.5   # Bleu pour Map
set style line 2 lc rgb '#dd181f' lt 1 lw 2 pt 5 ps 0.5   # Rouge pour Liste

# Tracer les données
plot file_in using 1:2 with linespoints ls 1 title "Map", \
     "" using 1:3 with linespoints ls 2 title "List"
