# set terminal pngcairo size 2400,1600 enhanced font "Arial,24" linewidth 2 dashed
set terminal svg size 2400,1600 enhanced font "Arial,32" linewidth 2 dashed
set output "pct.svg"

# Définir le titre du graphe et les labels des axes
set title "Slice vs Map performance gain"
set xlabel "Values in map / slice"
set ylabel "percentage speed Slice vs Map (%)"

# Activer la grille
set grid

# Définir la légende
set key outside right top

# Définir le style des lignes et points
set style line 1 lc rgb '#0060ad' lt 1 lw 2 pt 7 ps 0.5   # Bleu pour Map
set style line 2 lc rgb '#dd181f' lt 1 lw 2 pt 5 ps 0.5   # Rouge pour Liste

set xrange [0:14]
set yrange [-80:50]
set ytics 10

set arrow from graph 0, first 0 to graph 1, first 0 nohead lc rgb "black" lw 1
set arrow from first 8.5, graph 0 to first 8.5, graph 1 nohead lc rgb "black" lw 1 dt 2
set object 1 rectangle from graph 0, graph 0 to graph 1, first 0 behind fillcolor rgb "#FFEEEE" fillstyle solid 1.0 noborder
set object 2 rectangle from graph 0, first 0 to graph 1, graph 1 behind fillcolor rgb "#EEFFEE" fillstyle solid 1.0 noborder

# Tracer les données
plot "raw.plot" using 1:4 with linespoints ls 1 title "Raw", \
     "long.plot" using 1:4 with linespoints ls 2 title "Long"
